import { BasicFetchResult } from '/@/api/model/baseModel'

export type ManagerItem = {
  id: string
  username: string
  lastLogin: string
  groupId: number
  realName: string
  telephone: string
  loginIp: string
  canLogin: number
  isAdmin: number
  office: string
  category: string
  email: string
  qq: string
  fixedphone: string
  position: string
  avatar: string
  createTime: string
}

export type UpdateBackstageStaffParmas = {
  id: string
  projectId: string
  account: string
  password: string
  name: string
  company: string
  position: string
  mobile: string
  telephone: string
  canLogin: number
}
export type AddPermParams = {
  name: string
  permission: string[]
  remark?: string
}

export type PermGroupItem = {
  id: string
  name: string
  remark: string
  permission: string
  createTime: string
}
export type UpdatePermParams = {
  id: string
  name: string
  permission: string[]
  remark?: string
}

export type VersionItem = {
  id: string
  name: string
  content: string
}

/**
 * @description: Request list return value
 */
export type ManagerListGetResultModel = BasicFetchResult<ManagerItem[]>
export type PermGroupListResultModel = BasicFetchResult<PermGroupItem[]>
export type ManagerInfoGetResultModel = ManagerItem
export type VersionListGetResultModel = BasicFetchResult<VersionItem[]>
